># <b># TeleportationMeads</b>

Adds 6 new meads, all are craftable customizable and configurable. Makes your journey a little bit easy.

<br/>

![](https://i.ibb.co/qYmM9Nd/pic1.png)
![](https://i.ibb.co/s1Pz0bQ/pic2.png)
![](https://i.ibb.co/4JM4bYV/pic3.png)

<br/>

>## ## Installation (manual)

- extract `TeleportationMeads.dll` file to your `BepInEx\Plugins` folder.

<br/>

>## ## Features

- Adds 6 new meads to the game, all are craftable at the cauldron. 
- Uses FileWatcher.
- Uses ServerSync to lock and sync configs between servers and clients.

>** Haldor's Mead
- A basic mead brewed by Haldor, teleports you back to your home.
- Cannot be use to teleport ores or any items that is restricted to portals.
- Ingredients: (1x SurtlingCore, 20x GreydwarfEye, 2x AncientSeed, 20x BeechSeeds)
- Makes 10x Haldor's Mead.
- Cooldown: 1min
- Configurable.

>** Hugin's Mead
- A special mead brewed from Hugin's tears, teleports you back to the Sacrificial Altar.
- Cannot be use to teleport ores or any items that is restricted to portals.
- Ingredients: (1x SurtlingCore, 20x GreydwarfEye, 2x AncientSeed, 20x BeechSeeds)
- Makes 10x Hugin's Mead.
- Cooldown: 2mins
- Configurable.

>** Knarr's Mead
- A basic mead brewed by Knarr, teleports you back to your previous saved location (Not your spawn location/bed/starting location).
- Cannot be use to teleport ores or any items that is restricted to portals.
- Ingredients: (1x SurtlingCore, 20x GreydwarfEye, 2x AncientSeed, 20x BeechSeeds)
- Makes 10x Knarr's Mead.
- Cooldown: 1min
- Configurable.

>** Odin's Mead
- A special mead brewed by Odin, teleports you back to your home without any restrictions.
- Can be use to teleport ores or any restricted items.
- Ingredients: (1x HaldorsMead, 2x SurtlingCore, 2x AncientSeed, 10x Resin)
- Upgraded version of HaldorsMead.
- Cooldown: 2mins
- Configurable.

>** Hercules Mead
- A special mead inspired by Hercules strength. Gives you Herculean Buff which doubles your max carry weight for 5mins.
- Can be use together with Odin's Mead to teleport large amount of ores or restricted items.
- Ingredients: (1x SurtlingCore, 2x CopperOre, 2x AncientSeed, 10x GreydwarfEye)
- Cooldown: 7mins.
- Configurable.

>** Dvergers Mead
- A special mead brewed by Dvergers, it teleports you directly to Trader Haldor. (Either discovered or not)
- Ingredients: (1x HaldorsMead, 1x SurtlingCore, 10x AncientSeed, 10x GreydwarfEye)
- Cooldown: 2mins
- Configurable
 
<br/>

>## ## Changelog
<br/>

v1.1.4
- added back recipe configs.
- added config option to disable recipes.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.1.3
- removed item manager.
- added more information on mead bases description when crafting at cauldron.
- updated mod assets to the latest valheim rip 217.14

v1.1.2
- updated to the latest valheim build (217.14) hilders request.

v1.1.1
- updated to the latst valheim build (216.9)

v1.1.0
- reworked assets from scratch. you can now use them as decorations. they glow in the dark.
- changed how to obtain the meads. instead of just crafting them in the cauldron. they now need to be fermented.
- added mead base item for each of the meads.

v1.0.7
- optimized code and updated managers and serversync

v1.0.6
- added proper cooldown timers, you can now see visual timers.
- fixed potion used, you can no longer spam use teleportationmeads potions.
- switch to yml translations, english translation is embedded but you can still make your own translations just follow the 2 examples inside the zip file.

v1.0.5
- added version checks
- updated to latest valheim assemblies

v1.0.4
- added translations (as requested). you can now add/make your own translations, just follow the format correctly so you wont get any errors.

v1.0.3
- added dvergers mead, can be used to teleport directly to trader haldor discovered or not.

v1.0.2
- fixed errors on dedicated servers running on linux

v1.0.1
- added filewatcher
- fixed config live update, can be configured ingame without restarting.
- better cooldown timers, you can now see the exact cooldown time.
- added full configuration, everything's configurable, recipes, drops, value, cooldown and buff duration.

v1.0.0
-first release

